Update WARP IP subnet
PATCH/accounts/{account_id}/zerotrust/subnets/warp/{subnet_id}
Updates a WARP IP assignment subnet.
Update constraints:
- The
networkfield cannot be modified for WARP subnets. Onlyname,comment, andis_default_networkcan be updated. - IPv6 subnets cannot be updated
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Update WARP IP subnet
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/zerotrust/subnets/warp/$SUBNET_ID \
-X PATCH \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"comment": "example comment",
"name": "IPv4 Cloudflare Source IPs",
"network": "100.64.0.0/12"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
"comment": "example comment",
"created_at": "2021-01-25T18:22:34.317854Z",
"deleted_at": "2009-11-10T23:00:00.000000Z",
"is_default_network": true,
"name": "IPv4 Cloudflare Source IPs",
"network": "100.64.0.0/12",
"subnet_type": "cloudflare_source"
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
"comment": "example comment",
"created_at": "2021-01-25T18:22:34.317854Z",
"deleted_at": "2009-11-10T23:00:00.000000Z",
"is_default_network": true,
"name": "IPv4 Cloudflare Source IPs",
"network": "100.64.0.0/12",
"subnet_type": "cloudflare_source"
},
"success": true
}